﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

using NHibernate.Cfg;
using NHibernate;
using App6.Utils;
using App6.Dao;

namespace App6
{
    // Note: For instructions on enabling IIS6 or IIS7 classic mode, 
    // visit http://go.microsoft.com/?LinkId=9394801

    public class MvcApplication : System.Web.HttpApplication
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            routes.MapRoute(
                "Default", // Route name
                "{controller}/{action}/{id}", // URL with parameters
                new { controller = "Sample", action = "Index", id = UrlParameter.Optional } // Parameter defaults
            );

        }

        protected void Application_Start()
        {
            Configuration cfg = new Configuration();
            cfg.Configure();

            cfg.AddAssembly(typeof(Dao.supplyItem).Assembly);

            AreaRegistration.RegisterAllAreas();

            RegisterRoutes(RouteTable.Routes);

            // Add 100 objects in the database
            using (ISession session = NHibernateHelper.OpenSession())
            {
                for (int i = 0; i < 100; i++)
                {
                    Employee itm = new Employee();
                    itm.Name= "Employee-" + i;
                    itm.ReportsTo = 0;
                    itm.Job = "Job-" + i;
                  
                    session.Save(itm);
                }
            }

            /*
            using (ISession session = NHibernateHelper.OpenSession())
            {
                for (int i = 0; i < 100; i++)
                {
                    supplyItem itm = new supplyItem();
                    itm.itemName = "item-" + i;
                    itm.SKU = "sku-" + i;
                    itm.unitCost = 0.3;
                    itm.units = "Ea";
                    itm.inStock = true;
                    itm.category = "Inserted by global.asax";
                    session.Save(itm);
                }
            }
            */
            // end code adding 100 objects in the database
        }
    }
}