﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

using App6.Dao;
using System.Reflection;
using NHibernate;
using NHibernate.Criterion;

namespace App6.Utils
{
    public class DSRequest<T>
    {
        public string dataSource { get; set; }
        public string operationType { get; set; }
        public int startRow { get; set; }
        public int endRow { get; set; }
        public string textMatchStyle { get; set; }
        public string componentId { get; set; }

        public T data { get; set; }
        public string[] sortBy { get; set; }

        public T oldValues { get; set; }
        public AdvancedCriteria advancedCriteria { get; set; }

        // the RPC Manager which is executing this DSRequest
        public RPCManager RpcManager { get; set; }

        virtual public DSResponse execute()
        {
            if (RpcManager == null)
            {
                return null;
            }
            if (dataSource == null)
            {
                return null;
            }

            DataSource ds = RpcManager.getDataSource(dataSource);

            if (ds == null)
            {
                return null;
            }

            return ds.execute<T>(this);
        }
    }
}